ranges::views::replace_fn Struct Reference
Inheritance diagram for ranges::views::replace_fn:

## Synopsis of methods

constexpr replace_fn | replace {}

## Public Member Functions

template<typename Val1 , typename Val2 >
CPP_TEMPLATE_AUX_0 | c (requires ` same_as< detail::decay_t< unwrap_reference_t< Val1 >>, detail::decay_t< unwrap_reference_t< Val2 >>>) ccconstexpr auto operator()(Val1 old_value
Public Member Functions inherited from ranges::views::replace_base_fn
template<typename Rng , typename Val1 , typename Val2 >

CPP_TEMPLATE_AUX_0

c (requires ` viewable_range< Rng > &&input_range< Rng > &&same_as< detail::decay_t< unwrap_reference_t< Val1 >>, detail::decay_t< unwrap_reference_t< Val2 >>> &&equality_comparable_with< detail::decay_t< unwrap_reference_t< Val1 >>, range_value_t< Rng >> &&common_with< detail::decay_t< unwrap_reference_t< Val2 const & >>, range_value_t< Rng >> &&common_reference_with< unwrap_reference_t< Val2 const & >, range_reference_t< Rng >> &&common_reference_with< unwrap_reference_t< Val2 const & >, range_rvalue_reference_t< Rng >>) ccconstexpr replace_view< all_t< Rng >

CPP_TEMPLATE_AUX_0 detail::decay_t< Val2 > | operator() (Rng &&rng, Val1 &&old_value, Val2 &&new_value) const

## Public Attributes

CPP_TEMPLATE_AUX_0 Val2 new_value | const

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 Val2 new_value ranges::views::replace_fn::const

Initial value:
{
return make_view_closure(bind_back(
replace_base_fn{}, std::move(old_value), std::move(new_value)))
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52
ranges::make_view_closure
constexpr make_view_closure_fn make_view_closure
Definition: view.hpp:95
meta::lazy::bind_back
defer< bind_back, Fn, Ts... > bind_back
Definition: meta.hpp:994